[script]
n0=off !*:join:#karantina:{
n1=  var %identd = $gettok($gettok($address($nick,5),1,64),2,33),-1)
n2=  if ($randomnick($nick)) || ($randomnick(%identd)) { Gline  $nick 2 }
n3=}
n4=#randkoruma end
n5=
n6=on *:text:!random*:#acab,#güvenlik:{
n7=  if ($2 == on) { msg # > Random Koruma 3ACIK | .enable #randkoruma }
n8=  if ($2 == off) { msg # > Random Koruma 4KAPALI | .disable #randkoruma }
n9=}
n10=
n11=
n12=
n13=alias randomnick if ($randn2($1)) || ($randn($1))  { return $true } | else { return $false }
n14=alias randn2 {
n15=  if $1- isalpha && $1- islower {
n16=    if (($count($1,a,e,i,o,u) >= 4))  { return $false }
n17=    if ($regex($1-,/([[:print:]])\1\1/gi) >= 1) { return $false }
n18=    if ($len($1) >= 4) && ($regex($1,/^[a-z]+$)) {
n19=      if ($regex($1,/^[^aeiou]{3}/)) { return $true }
n20=      elseif ($regex($1,/([a-z])\1{2}/)) { return $true }
n21=      elseif ($regex($1,/[aeiou]{3/)) { return $true }
n22=      elseif ($regex($1,q[^u])) { return $true }
n23=      elseif ($regex($1,/[^aeioux]x[^aeiouyx]/)) { return $true }
n24=      else { return $false }
n25=    }
n26=  }
n27=}
n28=alias randn {
n29=  if $1- isalpha && $1- islower {
n30=    if ($regex($1-,/([[:print:]])\1\1/gi) >= 1) { return $false }
n31=    if ($len($1) == 7) {
n32=      var %son = $mid($1,$len($1),1)
n33=      var %son2 = $mid($1,$calc($len($1) – 1),1)
n34=      if (%son == %son2) { return $false }
n35=      if $regex($left($1,3),/(o|i|a|e|u)/g) <= 0) { return $true }
n36=      elseif $regex($right($1,3),/(o|i|a|e|u)/g) <= 0) { return $true }
n37=      elseif $regex($mid($1,3,4),/(o|i|a|e|u)/g) <= 0) { return $true }
n38=      else { return $false }
n39=    }
n40=    elseif ($len($1) == 8) {
n41=      var %son = $mid($1,$len($1),1)
n42=      var %son2 = $mid($1,$calc($len($1) – 1),1)
n43=      if (%son == %son2) { return $false }
n44=      if $regex($left($1,3),/(o|i|a|e|u)/g) <= 0) { return $true }
n45=      elseif $regex($right($1,4),/(o|i|a|e|u)/g) <= 0) { return $true }
n46=      elseif $regex($mid($1,3,4),/(o|i|a|e|u)/g) <= 0) { return $true }
n47=      else { return $false }
n48=    }
n49=    elseif ($len($1) == 9) {
n50=      var %son = $mid($1,$len($1),1)
n51=      var %son2 = $mid($1,$calc($len($1) – 1),1)
n52=      if (%son == %son2) { return $false }
n53=      if $regex($left($1,3),/(o|i|a|e|u)/g) <= 0) { return $true }
n54=      elseif $regex($right($1,4),/(o|i|a|e|u)/g) <= 0) { return $true }
n55=      elseif $regex($mid($1,4,3),/(o|i|a|e|u)/g) <= 0) { return $true }
n56=      elseif $regex($mid($1,3,4),/(o|i|a|e|u)/g) <= 0) { return $true }
n57=      else { return $false }
n58=    }
n59=    elseif ($len($1) == 10) {
n60=      var %son = $mid($1,$len($1),1)
n61=      var %son2 = $mid($1,$calc($len($1) – 1),1)
n62=      if (%son == %son2) { return $false }
n63=      if $regex($left($1,3),/(o|i|a|e|u)/g) <= 0) { return $true }
n64=      elseif $regex($right($1,3),/(o|i|a|e|u)/g) <= 0) { return $true }
n65=      elseif $regex($mid($1,4,5),/(o|i|a|e|u)/g) <= 0) { return $true }
n66=      else { return $false }
n67=    }
n68=    if ($regex($1,/(o|i|a|e|u)/g) <= 0) && ($len($1) == 4) { return $true }
n69=    elseif ($regex($1,/(o|i|a|e|u)/g) <= 1) && ($len($1) == 5) {
n70=      var %son = $mid($1,$len($1),1)
n71=      var %son2 = $mid($1,$calc($len($1) – 1),1)
n72=      if (%son == %son2) { return $false }
n73=      else { return $true }
n74=    }
n75=    elseif ($regex($1,/(o|i|a|e|u)/g) <= 1) && ($len($1) == 6) {
n76=      var %son = $mid($1,$len($1),1)
n77=      var %son2 = $mid($1,$calc($len($1) – 1),1)
n78=      if (%son == %son2) { return $false }
n79=      else { return $true }
n80=    }
n81=    elseif ($regex($1,/(o|i|a|e|u)/g) <= 3) && ($len($1) == 10) { return $true }
n82=    elseif ($regex($1,/(o|i|a|e|u)/g) <= 3) && ($len($1) >= 11) { return $true }
n83=    else { return $false }
n84=  }
n85=}
n86=#randkoruma off
